## serna-free 4.4.0.20111005

=== 3rd/jade/grove/Makefile ===

#############################################################################
# Makefile for building libgrove.so.1.3
# Generated by tmake at 14:28, 1999/10/06
#     Project: grove
#    Template: ../pro/jlib
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce -fPIC
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce -fPIC
INCPATH	=	-I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	-shared
LIBS	=	
AR	=	ar cqs
RANLIB	=	
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	LocNode.h \
		Node.h
SOURCES =	LocNode.cxx \
		Node.cxx
OBJECTS =	LocNode.o \
		Node.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	libgrove.so.1.3
TARGETA	=	../libs/libgrove.a
TARGETD	=	libgrove.so.1.3
TARGET0	=	libgrove.so
TARGET1	=	libgrove.so.1

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: ../libs/libgrove.so.1.3

../libs/libgrove.so.1.3: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-rm -f ../libs/$(TARGET)
	-rm -f ../libs/$(TARGET0)
	-rm -f ../libs/$(TARGET1)
	-mv $(TARGET) $(TARGET0) $(TARGET1) ../libs/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake:
	tmake grove.pro

dist:
	$(TAR) grove.tar grove.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) grove.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGETA)
	-rm -f *~ core

####### Compile

LocNode.o: LocNode.cxx \
		LocNode.h \
		Node.h

Node.o: Node.cxx \
		Node.h

=== 3rd/jade/libsp/Makefile ===
# 
#
all: default

install: all

DEFINES  = \
            -DWIN32 -DSP_DEFINE_TEMPLATES -DBUILD_LIBSP -DSP_PCH \
            -DSP_NAMESPACE=Sp -DDSSSL_NAMESPACE=Dsssl -DGROVE_NAMESPACE=Grove

INCLUDES = -I..\sp -I..\generic

!if DEFINED(destdir)
DESTDIR = $(destdir)
!else
DESTDIR = ..\lib
!endif

!if DEFINED(debug) && "$(debug)" == "1"
CXX_DBG_FLAGS = -MDd -Zi -Od
LD_DBG_FLAGS  = -debug
!else
CXX_DBG_FLAGS = -MD -O2 -Zi -DNDEBUG
LD_DBG_FLAGS  = -debug -release
!endif

!if DEFINED(static) && "$(static)" == "1"
CXX          = cl
LD           = lib
TARGET       = sp.lib
OBJDIR       = .obj
!else
CXX          = cl
CXX_DYNFLAGS = -DSP_USE_DLL
LD           = link
TARGET       = sp103.dll
LD_DLL_FLAGS = -version:1.3 -dll -pdb:sp103.pdb \
               -nodefaultlib:libmmdd -nodefaultlib:libmmd -subsystem:console
OBJDIR       = .shobj
RES_FILE     = $(OBJDIR)\sp.res
RC_FILE      = lib.rc
LIBS         = user32.lib ws2_32.lib

$(RES_FILE): $(RC_FILE)
	$(RC) -fo$@ $(INCLUDES) $(DEFINES) $(RC_FILE)
!endif

!include Makefile.objs

CXX_FLAGS = -nologo -GX $(CXX_DBG_FLAGS) $(CXX_DYNFLAGS) -Fd"$(OBJDIR)\sp" -W0 -YXsplib.h \
             $(DEFINES) $(INCLUDES) $(CXX_ADD)
LD_FLAGS  = -nologo $(LD_DLL_FLAGS) $(LD_DBG_FLAGS) $(LD_ADD)

default: $(DESTDIR)\$(TARGET)

$(DESTDIR)\$(TARGET): makedirs $(OBJECTS) $(RES_FILE)
	$(LD) $(LD_FLAGS) -out:$@ @<< 
	$(OBJECTS) $(RES_FILE) $(LIBS)
<<


makedirs: force
	-@mkdir $(OBJDIR) 2>nul
	-@mkdir $(DESTDIR) 2>nul

{}.cxx{$(OBJDIR)}.obj::
	$(CXX) -c -Fo$(OBJDIR)\ $(CXX_FLAGS) @<<
	$<
<<

force:

clean: force
	-del /q /f $(OBJDIR)\*.obj $(OBJDIR)\*.?db $(RES_FILE) $(DESTDIR)\sp103.* $(DESTDIR)\sp.lib

=== 3rd/jade/sx/Makefile ===

#############################################################################
# Makefile for building sx
# Generated by tmake at 14:28, 1999/10/06
#     Project: sx
#    Template: ../pro/japp
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce
INCPATH	=	-I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	
LIBS	=	-L../libs -lsp
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	SxMessages.h \
		XmlOutputEventHandler.h \
		XmlOutputMessages.h
SOURCES =	XmlOutputEventHandler.cxx \
		sx.cxx \
		sx_inst.cxx
OBJECTS =	XmlOutputEventHandler.o \
		sx.o \
		sx_inst.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	sx

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake sx.pro

dist:
	$(TAR) sx.tar sx.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) sx.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

XmlOutputEventHandler.o: XmlOutputEventHandler.cxx \
		XmlOutputEventHandler.h \
		XmlOutputMessages.h

sx.o: sx.cxx \
		XmlOutputEventHandler.h \
		SxMessages.h

sx_inst.o: sx_inst.cxx

=== serna/plugins/linkvoyager/Makefile ===
#############################################################################
# Makefile for building linkvoyager
# Project: linkvoyager
##############################################################################

####### Compiler, tools and options
CXX	=	cl
CXXFLAGS=	-GX -GR -DWIN32 -I"../.."
LINK	=	link
LFLAGS	=	-nologo -nodefaultlib -version:2.0 -subsystem:console -dll
LIBS	=	../../lib/sapi21.lib \
                kernel32.lib \
                msvcrt.lib \
                shell32.lib 

####### Files
SOURCES =	linkvoyager.cxx
OBJECTS =	linkvoyager.obj 
TARGET	=	linkvoyager20.dll

####### Build rules
all: $(TARGET)

$(TARGET): $(OBJECTS) 
	$(LINK) $(LFLAGS) -out:$(TARGET) $(OBJECTS) $(LIBS)

clean:
	-del *.obj
	-del linkvoyager20.*

=== serna/dist/doc-dita/developers_guide/Makefile ===
SCRIPT  = config-template-documentor.xsl
SCHEMA  = ../../plugins/syntext/serna-config/serna-config.xsd
DB2DITA = docbook-to-dita.xsl
TOPICWRAP_XSL = config-template-topic.xsl

serna-config.dita: $(SCRIPT) $(SCHEMA) $(DB2DITA) $(TOPICWRAP_XSL)
	xsltproc $(SCRIPT) $(SCHEMA) | xsltproc $(DB2DITA) - | xsltproc -o $@ $(TOPICWRAP_XSL) -

=== debian/changelog ===
serna-free (4.4.0.20111005-1) experimental; urgency=low

  * Start working on serna 4.4-rc1

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 03 Nov 2011 11:24:51 +0100

=== debian/control ===
Source: serna-free
Section: text
Priority: extra
Maintainer: Joachim Breitner <nomeata@debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Build-Depends:
 debhelper (>= 8),
 python (>= 2.6.6-3~),
 doxygen,
 xsltproc,
 bison,
 default-jre,
 pkg-config,
 qt4-qmake,
 qt4-dev-tools,
 python-sip-dev,
 libqt4-assistant,
 libx11-dev,
 x11proto-core-dev,
 libfreetype6-dev,
 libxft-dev,
 libxinerama-dev,
 libxmu-dev,
 libxml2-dev,
 libxslt1-dev,
 libqt4-dev,
 libqscintilla2-dev (>= 2.4-5),
 python-qt4-dev,
 pyqt4-dev-tools,
 libaspell-dev,
 docbook-xsl (>= 1.75.2+dfsg-5),
 libqtassistantclient-dev
Build-Conflicts:
 qt3-dev-tools
Standards-Version: 3.9.2
X-Python-Version: 2.7
Homepage: http://www.syntext.com/products/serna-free/
VCS-Git: git://git.debian.org/git/collab-maint/serna.git
VCS-Browser: http://git.debian.org/?p=collab-maint/serna.git

Package: serna
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 ${python:Depends},
 xsltproc,
 docbook-xsl (>= 1.75.2+dfsg-5),
 python-qt4, bash,
 ${sip:Depends},
Recommends:
 fop,
Description: Graphical XML editor
 Serna Free Open Source XML editor is an easy-to-use visual XML
 application which requires virtually no technical experience from
 technical writers to author XML documents.
 . 
 Serna Free Open Source XML editor hides all the complexities of the
 underlying XML technology.
 .
 Serna Free XML editor employs XSLT and XSL-FO to render XML documents
 in print-like appearance for fast and easy authoring.

Package: serna-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    serna (= ${binary:Version}),
    ${misc:Depends}
Description: debugging symbols for serna
 Serna Free Open Source XML editor is an easy-to-use visual XML
 application which requires virtually no technical experience from
 technical writers to author XML documents.
 .
 This package contains the debugging symbols for serna.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_configure:
	# We do all in build. Why not?

override_dh_auto_build:
	# Put 3rd party packages where the serna build system expects them
	mkdir -p 3rd/packages
	( cd 3rd/packages; ln -sf ../../debian/3rd/* . )
	
	# Build/Prepare 3rd party packages
	cd 3rd; ./configure syspkgonly && ./checked_build.sh
	
	# Build serna
	cd build; ./configure syspkg && make

	# Build Makefile.install
	make -C build/serna/app/ -f GNUmakefile $(CURDIR)/build/serna/app/Makefile.install

override_dh_auto_install:
	mkdir -p debian/serna/usr/lib/serna
	mkdir -p debian/serna/usr/share/doc/serna
	mkdir -p debian/inst_prefix
	ln -sf $(CURDIR)/debian/serna/usr/lib/serna debian/inst_prefix/serna-free-4.4
	ln -sf $(CURDIR)/debian/serna/usr/share/doc/serna debian/serna/usr/lib/serna/doc
	make -C build/serna/app/ -f Makefile.install \
		inst_prefix=$(CURDIR)/debian/inst_prefix
	rm debian/inst_prefix/serna-free-4.4
	rm debian/serna/usr/lib/serna/doc
	rmdir debian/inst_prefix
	
	mkdir -p debian/serna/usr/bin
	mv debian/serna/usr/lib/serna/bin/serna.bin debian/serna/usr/bin/serna
	rm -rf debian/serna/usr/lib/serna/bin
	
	# Remove unneeded and unwanted files
	rm debian/serna/usr/lib/serna/config-template-orig.ent
	rm debian/serna/usr/lib/serna/config-template-orig.xml
	rm debian/serna/usr/lib/serna/LICENSE.GPL
	rm debian/serna/usr/lib/serna/SP-COPYING
	rm debian/serna/usr/lib/serna/plugins/dita/DITA-OT1.4/license.txt
	rm debian/serna/usr/lib/serna/plugins/speller/aspell/ASPELL-COPYING
	rm debian/serna/usr/lib/serna/plugins/speller/aspell/ASPELL-EN-COPYING
	rm debian/serna/usr/lib/serna/plugins/tei/tei-xsl-serna/SR-COPYING
	rm debian/serna/usr/lib/serna/plugins/docbook/docbook-xsl-serna/NW-COPYING
	rm debian/serna/usr/lib/serna/plugins/dita/DITA-OT1.4/tools/ant/LICENSE.dom
	rm debian/serna/usr/lib/serna/plugins/dita/DITA-OT1.4/tools/ant/LICENSE.sax
	rm debian/serna/usr/lib/serna/plugins/dita/DITA-OT1.4/tools/ant/LICENSE.xerces

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/serna/lib

override_dh_clean:
	dh_clean
	rm -f 3rd/packages/*
	
	cd 3rd; test ! -e Makefile || make clean
	
	cd build; test ! -e GNUmakefile || make clean
	
	# Above commands are far from complete
	rm -rf build/serna build/sfworks/ build/GNUmakefile
	rm -rf 3rd/hunspell/
	find -name \*.pyc -delete
	rm -f 3rd/Makefile
	rm -f 3rd/*/Makefile 3rd/*/cbuild.log
	rm -f   3rd/antlr/2.7.1/Makefile \
		3rd/aspell/0.50.5/Makefile \
		3rd/dita-ot/1.4/Makefile \
		3rd/docbook/1.68.1/Makefile \
		3rd/doxygen/1.5.1/Makefile \
		3rd/iconv/1.11/Makefile \
		3rd/jdk/1.6.0/Makefile \
		3rd/libxml/2.6.27/Makefile \
		3rd/pyqt/4.5.4/Makefile \
		3rd/python/2.7.2/Makefile \
		3rd/qscintilla/2.4/Makefile \
		3rd/qt/4.5.3/Makefile \
		3rd/qtpropertybrowser/2.5/Makefile \
		3rd/sip/4.8.2/Makefile \
		3rd/xsltproc/1.1.19/Makefile \
		3rd/qtsingleapplication/2.6_1/Makefile
	rm -f	3rd/antlr/configure.log \
		3rd/antlr/2.7.1/.configure_options \
		3rd/qtsingleapplication/2.6_1/.configure_options
	rm -f	3rd/qtsingleapplication/2.6_1/custom.pri \
		3rd/qtsingleapplication/configure.log \
		3rd/qtsingleapplication/include
	rm -f 3rd/antlr/antlr
	rm -rf 3rd/antlr/include 3rd/antlr/lib 3rd/bin 3rd/lib
	rm -f 3rd/dita-ot/dita-dir-catalog.xml 3rd/dita-ot/dita-dir.ent
	rm -f 3rd/pyqt/MANIFEST 3rd/python/MANIFEST 3rd/docbook/MANIFEST
	rm -f 3rd/qtpropertybrowser/2.5/.configure_options 3rd/qtpropertybrowser/2.5/custom.pri
	rm -f 3rd/qtpropertybrowser/configure.log 3rd/qtpropertybrowser/include
	rm -f serna/dist/bin/xsltproc
	rm -f serna/dist/doc-dita/version.xml
	# reported by lintian:
	rm -f 3rd/jade/config.cache 3rd/jade/config.log 3rd/jade/config.status

override_dh_makeshlibs:
	# We do not have any public shared libraries
	# But run dh_sip around here
	dh_sip

override_dh_compress:
	dh_compress -Xserna.qch -Xserna.qhc -Xserna.adp -X.xml

override_dh_strip:
	dh_strip --dbg-package=serna-dbg

get-orig-source:
	./debian/get-orig-source.sh
